1. Packages
  2. Packages
  3. Pulumi Cloud (Pulumi Service provider)
  4. API Docs
  5. api
  6. api/esc
  7. EnvironmentTag

This provider is currently in preview.

Viewing docs for Pulumi Cloud v1.1.0
published on Thursday, May 21, 2026 by Pulumi
pulumiservice logo

This provider is currently in preview.

Viewing docs for Pulumi Cloud v1.1.0
published on Thursday, May 21, 2026 by Pulumi

    Adds a new user-defined tag to a Pulumi ESC environment. Tags are key-value pairs that provide contextual metadata for organizing and searching environments (e.g., region=us-east-1, team=platform). The tag name and value are provided in the request body. Returns the created EnvironmentTag on success. Returns 409 if a tag with the same name already exists on the environment.

    Create EnvironmentTag Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new EnvironmentTag(name: string, args: EnvironmentTagArgs, opts?: CustomResourceOptions);
    @overload
    def EnvironmentTag(resource_name: str,
                       args: EnvironmentTagArgs,
                       opts: Optional[ResourceOptions] = None)
    
    @overload
    def EnvironmentTag(resource_name: str,
                       opts: Optional[ResourceOptions] = None,
                       env_name: Optional[str] = None,
                       name: Optional[str] = None,
                       org_name: Optional[str] = None,
                       project_name: Optional[str] = None,
                       value: Optional[str] = None)
    func NewEnvironmentTag(ctx *Context, name string, args EnvironmentTagArgs, opts ...ResourceOption) (*EnvironmentTag, error)
    public EnvironmentTag(string name, EnvironmentTagArgs args, CustomResourceOptions? opts = null)
    public EnvironmentTag(String name, EnvironmentTagArgs args)
    public EnvironmentTag(String name, EnvironmentTagArgs args, CustomResourceOptions options)
    
    type: pulumiservice:api/esc:EnvironmentTag
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "pulumiservice_api_esc_environmenttag" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args EnvironmentTagArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args EnvironmentTagArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args EnvironmentTagArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args EnvironmentTagArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args EnvironmentTagArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var environmentTagResource = new PulumiService.Api.Esc.EnvironmentTag("environmentTagResource", new()
    {
        EnvName = "string",
        Name = "string",
        OrgName = "string",
        ProjectName = "string",
        Value = "string",
    });
    
    example, err := esc.NewEnvironmentTag(ctx, "environmentTagResource", &esc.EnvironmentTagArgs{
    	EnvName:     pulumi.String("string"),
    	Name:        pulumi.String("string"),
    	OrgName:     pulumi.String("string"),
    	ProjectName: pulumi.String("string"),
    	Value:       pulumi.String("string"),
    })
    
    resource "pulumiservice_api_esc_environmenttag" "environmentTagResource" {
      env_name     = "string"
      name         = "string"
      org_name     = "string"
      project_name = "string"
      value        = "string"
    }
    
    var environmentTagResource = new EnvironmentTag("environmentTagResource", EnvironmentTagArgs.builder()
        .envName("string")
        .name("string")
        .orgName("string")
        .projectName("string")
        .value("string")
        .build());
    
    environment_tag_resource = pulumiservice.api.esc.EnvironmentTag("environmentTagResource",
        env_name="string",
        name="string",
        org_name="string",
        project_name="string",
        value="string")
    
    const environmentTagResource = new pulumiservice.api.esc.EnvironmentTag("environmentTagResource", {
        envName: "string",
        name: "string",
        orgName: "string",
        projectName: "string",
        value: "string",
    });
    
    type: pulumiservice:api/esc:EnvironmentTag
    properties:
        envName: string
        name: string
        orgName: string
        projectName: string
        value: string
    

    EnvironmentTag Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The EnvironmentTag resource accepts the following input properties:

    EnvName string
    The environment name
    Name string
    The name
    OrgName string
    The organization name
    ProjectName string
    The project name
    Value string
    The value
    EnvName string
    The environment name
    Name string
    The name
    OrgName string
    The organization name
    ProjectName string
    The project name
    Value string
    The value
    env_name string
    The environment name
    name string
    The name
    org_name string
    The organization name
    project_name string
    The project name
    value string
    The value
    envName String
    The environment name
    name String
    The name
    orgName String
    The organization name
    projectName String
    The project name
    value String
    The value
    envName string
    The environment name
    name string
    The name
    orgName string
    The organization name
    projectName string
    The project name
    value string
    The value
    env_name str
    The environment name
    name str
    The name
    org_name str
    The organization name
    project_name str
    The project name
    value str
    The value
    envName String
    The environment name
    name String
    The name
    orgName String
    The organization name
    projectName String
    The project name
    value String
    The value

    Outputs

    All input properties are implicitly available as output properties. Additionally, the EnvironmentTag resource produces the following output properties:

    Created string
    The timestamp when the tag was created.
    EditorLogin string
    The login name of the user who last edited the tag.
    EditorName string
    The display name of the user who last edited the tag.
    Id string
    The provider-assigned unique ID for this managed resource.
    Modified string
    The timestamp when the tag was last modified.
    Created string
    The timestamp when the tag was created.
    EditorLogin string
    The login name of the user who last edited the tag.
    EditorName string
    The display name of the user who last edited the tag.
    Id string
    The provider-assigned unique ID for this managed resource.
    Modified string
    The timestamp when the tag was last modified.
    created string
    The timestamp when the tag was created.
    editor_login string
    The login name of the user who last edited the tag.
    editor_name string
    The display name of the user who last edited the tag.
    id string
    The provider-assigned unique ID for this managed resource.
    modified string
    The timestamp when the tag was last modified.
    created String
    The timestamp when the tag was created.
    editorLogin String
    The login name of the user who last edited the tag.
    editorName String
    The display name of the user who last edited the tag.
    id String
    The provider-assigned unique ID for this managed resource.
    modified String
    The timestamp when the tag was last modified.
    created string
    The timestamp when the tag was created.
    editorLogin string
    The login name of the user who last edited the tag.
    editorName string
    The display name of the user who last edited the tag.
    id string
    The provider-assigned unique ID for this managed resource.
    modified string
    The timestamp when the tag was last modified.
    created str
    The timestamp when the tag was created.
    editor_login str
    The login name of the user who last edited the tag.
    editor_name str
    The display name of the user who last edited the tag.
    id str
    The provider-assigned unique ID for this managed resource.
    modified str
    The timestamp when the tag was last modified.
    created String
    The timestamp when the tag was created.
    editorLogin String
    The login name of the user who last edited the tag.
    editorName String
    The display name of the user who last edited the tag.
    id String
    The provider-assigned unique ID for this managed resource.
    modified String
    The timestamp when the tag was last modified.

    Package Details

    Repository
    pulumiservice pulumi/pulumi-pulumiservice
    License
    Apache-2.0
    pulumiservice logo

    This provider is currently in preview.

    Viewing docs for Pulumi Cloud v1.1.0
    published on Thursday, May 21, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial